
      program rdfile
c
      dimension rkp(8)
      character*40 flnm
!     data flnm/'1979-1992.bin   '/, nrec/4779/
! 5/01: mss file /FOSTER/tgcminp/1979001-2001031.gpi.dat
      data flnm/'1979001-2001031.gpi.dat                 '/, nrec/8067/
      data lu/20/, irecl/88/
c
      open(lu,file=trim(flnm),form='UNFORMATTED',access='DIRECT',
     +  recl=irecl,status='OLD')
      do i=1,nrec
        read(lu,rec=i) iyd,f107d,f107a,rkp
        write(6,"(i8,2f8.1,8f5.1)") iyd,f107d,f107a,rkp
      enddo
      stop 'done'
      end
